# To get the unique host for an index,
# see https://docs.pinecone.io/guides/indexes/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="YOUR_INDEX_HOST"
curl -X POST "https://$INDEX_HOST/describe_index_stats" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-04"
// EXAMPLE RESPONSE 1: Serverless index (on-demand)
{
"namespaces": {
"example-namespace": {
"vectorCount": 10000
}
},
"indexFullness": 0,
"totalVectorCount": 10000,
"dimension": 1024,
"metric": "cosine",
"vectorType": "dense",
"memoryFullness": 0,
"storageFullness": 0
}
// EXAMPLE RESPONSE 2: Serverless index (dedicated read nodes)
{
"namespaces": {
"example-namespace": {
"vectorCount": 705000
}
},
"indexFullness": 0.01,
"totalVectorCount": 705000,
"dimension": 1536,
"metric": "cosine",
"vectorType": "dense",
"memoryFullness": 0.01,
"storageFullness": 0.01
}
Get index stats
Return statistics about the contents of an index, including the vector count per namespace, the number of dimensions, and the index fullness.
Serverless indexes scale automatically as needed, so index fullness is relevant only for pod-based indexes.
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/indexes/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="YOUR_INDEX_HOST"
curl -X POST "https://$INDEX_HOST/describe_index_stats" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-04"
// EXAMPLE RESPONSE 1: Serverless index (on-demand)
{
"namespaces": {
"example-namespace": {
"vectorCount": 10000
}
},
"indexFullness": 0,
"totalVectorCount": 10000,
"dimension": 1024,
"metric": "cosine",
"vectorType": "dense",
"memoryFullness": 0,
"storageFullness": 0
}
// EXAMPLE RESPONSE 2: Serverless index (dedicated read nodes)
{
"namespaces": {
"example-namespace": {
"vectorCount": 705000
}
},
"indexFullness": 0.01,
"totalVectorCount": 705000,
"dimension": 1536,
"metric": "cosine",
"vectorType": "dense",
"memoryFullness": 0.01,
"storageFullness": 0.01
}
memoryFullness and storageFullness alongside indexFullness, which summarizes overall capacity usage. For serverless on-demand indexes, all three values are typically 0 because storage and compute scale automatically. For dedicated indexes, these values indicate when the index needs more capacity. See Scale your index.# To get the unique host for an index,
# see https://docs.pinecone.io/guides/indexes/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="YOUR_INDEX_HOST"
curl -X POST "https://$INDEX_HOST/describe_index_stats" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-04"
// EXAMPLE RESPONSE 1: Serverless index (on-demand)
{
"namespaces": {
"example-namespace": {
"vectorCount": 10000
}
},
"indexFullness": 0,
"totalVectorCount": 10000,
"dimension": 1024,
"metric": "cosine",
"vectorType": "dense",
"memoryFullness": 0,
"storageFullness": 0
}
// EXAMPLE RESPONSE 2: Serverless index (dedicated read nodes)
{
"namespaces": {
"example-namespace": {
"vectorCount": 705000
}
},
"indexFullness": 0.01,
"totalVectorCount": 705000,
"dimension": 1536,
"metric": "cosine",
"vectorType": "dense",
"memoryFullness": 0.01,
"storageFullness": 0.01
}
Authorizations
An API Key is required to call Pinecone APIs. Get yours from the console.
Body
The request for the describe_index_stats operation.
If this parameter is present, the operation only returns statistics for vectors that satisfy the filter. See Understanding metadata.
Serverless indexes do not support filtering describe_index_stats by metadata.
Response
A successful response.
The response for the describe_index_stats operation.
The fullness of the index, regardless of whether a metadata filter expression was passed. The granularity of this metric is 10%.
Serverless indexes scale automatically as needed, so index fullness is relevant only for pod-based indexes.
The index fullness result may be inaccurate during pod resizing; to get the status of a pod resizing process, use describe_index.
0.4
Was this page helpful?